Crystal Space: iParticleSystem Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleSystem Struct Reference
[Mesh plugins]

Properties for particle system object. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleSystem:

[legend]
List of all members.

## Public Member Functions
virtual void | Advance (csTicks time)=0
| Advance the time of the particle system object by the given duration.
virtual csParticle * | GetParticle (size_t index)=0
| Get a specific particle.
virtual csParticleAux * | GetParticleAux (size_t index)=0
| Get aux-data for a specific particle.
virtual size_t | GetParticleCount () const =0
| Get number of particles currently in the system.
virtual csParticleBuffer * | LockForExternalControl (size_t maxParticles)=0
| Lock the particles and take external control over them.

## Detailed Description

Properties for particle system object.

Definition at line 479 of file particles.h.

## Member Function Documentation

virtual void iParticleSystem::Advance | ( | csTicks | time | ) | `[pure virtual]`

Advance the time of the particle system object by the given duration.

This is useful to "fill" a particle system after its initial creation.

Remarks:
  Internally, the time is advanced in multiple steps of a smaller duration. This means that the run time needed to advance a particle system grows proportionally with the time to advance!

virtual csParticle* iParticleSystem::GetParticle | ( | size_t | index | ) | `[pure virtual]`

Get a specific particle.

virtual csParticleAux* iParticleSystem::GetParticleAux | ( | size_t | index | ) | `[pure virtual]`

Get aux-data for a specific particle.

virtual size_t iParticleSystem::GetParticleCount | ( |  | ) | const`[pure virtual]`

Get number of particles currently in the system.

virtual csParticleBuffer* iParticleSystem::LockForExternalControl | ( | size_t | maxParticles | ) | `[pure virtual]`

Lock the particles and take external control over them.

The documentation for this struct was generated from the following file:

- imesh/particles.h